#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,216,288,360,432,504,720,792,864,1008,1512,1728,1872,1944,2016,4032
 * N : 25,216,288,360,432,504,720,792,864,1008,1512,1728,1872,1944,2016,4032
 * NB : 2,16,24,24,16,64,64,24,128,120,96,72,72,72,168,216
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 120) (nb_) = 2; \
   else if ((n_) < 252) (nb_) = 16; \
   else if ((n_) < 396) (nb_) = 24; \
   else if ((n_) < 468) (nb_) = 16; \
   else if ((n_) < 756) (nb_) = 64; \
   else if ((n_) < 828) (nb_) = 24; \
   else if ((n_) < 936) (nb_) = 128; \
   else if ((n_) < 1260) (nb_) = 120; \
   else if ((n_) < 1620) (nb_) = 96; \
   else if ((n_) < 1980) (nb_) = 72; \
   else if ((n_) < 3024) (nb_) = 168; \
   else (nb_) = 216; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
